package com.ruoyi.system.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.system.domain.LoginSysTenant;
import com.ruoyi.system.domain.SysTenant;
import com.ruoyi.system.domain.vo.SysTenantVo;

import java.util.List;

/**
 * 租户管理Mapper接口
 *
 * @author fengcheng
 * @date 2025-01-06
 */
public interface SysTenantMapper extends BaseMapper<SysTenant> {
    /**
     * 查询租户管理
     *
     * @param tenantId 租户管理主键
     * @return 租户管理
     */
    public SysTenant selectSysTenantByTenantId(String tenantId);

    /**
     * 查询租户管理列表
     *
     * @param sysTenant 租户管理
     * @return 租户管理集合
     */
    public List<SysTenant> selectSysTenantList(SysTenant sysTenant);

    /**
     * 新增租户管理
     *
     * @param sysTenant 租户管理
     * @return 结果
     */
    public int insertSysTenant(SysTenant sysTenant);

    /**
     * 修改租户管理
     *
     * @param sysTenant 租户管理
     * @return 结果
     */
    public int updateSysTenant(SysTenant sysTenant);

    /**
     * 删除租户管理
     *
     * @param tenantId 租户管理主键
     * @return 结果
     */
    public int deleteSysTenantByTenantId(String tenantId);

    /**
     * 批量删除租户管理
     *
     * @param tenantIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteSysTenantByTenantIds(String[] tenantIds);

    /**
     * 查询登录租户管理列表（不分页）
     *
     * @return 结果
     */
    List<LoginSysTenant> loginSysTenantList();

    /**
     * 根据公司名称查询租户信息
     *
     * @param companyName 公司名称
     * @return 租户信息
     */
    SysTenant selectSysTenantByCompanyName(String companyName);

    /**
     * 根据联系电话查询租户信息
     *
     * @param contactPhone 联系电话
     * @return 租户信息
     */
    SysTenant selectSysTenantByContactPhone(String contactPhone);

    /**
     * 根据套餐ID查询租户信息列表
     *
     * @param tenantPackageId 套餐ID
     * @return 租户信息列表
     */
    List<SysTenantVo> selectSysTenantListByTenantPackageId(Long tenantPackageId);

    /**
     * 根据套餐ID查询租户信息数量
     *
     * @param tenantPackageId 套餐ID
     * @return 租户信息数量
     */
    int selectSysTenantByTenantPackageId(Long tenantPackageId);
}
